using System;
namespace Zad1
{
    class Program
    {
        static void Main(string[] args)
        {
            int x, y;
            x = int.Parse(Console.ReadLine());
            y = int.Parse(Console.ReadLine());
            int n = 0;
            int p, q;
            int k = 0;
            while (Math.Max(x, y) != 0)
            {
                p = x % 10;
                q = y % 10;
                x /= 10;
                y /= 10;
                if (p == q)
                {
                    if(x == 0 || y == 0)
                        n = n + Math.Max(p, q) * (int)Math.Pow(10, k);
                    else
                    {
                        n = n + Math.Max(p, q) * (int)Math.Pow(10, k);
                        n++;
                    }
                }
                else
                    n = n + Math.Max(p, q) * (int)Math.Pow(10, k);
                k++;
            }
            Console.WriteLine(n);
        }
    }
}